Bug 1342503 - python-praw: python2-praw requires both Python 2 and Python 3
Summary: python-praw: python2-praw requires both Python 2 and Python 3
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-praw   
(Show other bugs)
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2016-06-03 11:55 UTC by Tomas Orsava
Modified: 2016-09-09 07:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-09 07:08:16 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update to 4.0.0b17 version (4.74 KB, patch)
2016-09-01 12:50 UTC, Jan Beran
no flags Details | Diff

Description Tomas Orsava 2016-06-03 11:55:30 UTC
The python2-praw RPM requires both Python 2 and Python 3.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Jan Kurik 2016-07-26 04:38:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Jan Beran 2016-09-01 12:50 UTC
Created attachment 1196815 [details]
Update to 4.0.0b17 version

There is also removed `praw-multiprocess` as this functionality is no longer needed with PRAW 4.

Comment 3 Jan Beran 2016-09-08 14:48:56 UTC
Bug 1370446 solved the issue.

Comment 4 Lumír Balhar 2016-09-09 06:33:48 UTC
Hello, Honzo.

I am not sure if it's a good idea to update package to the beta version. Also, the latest package doesn't depend on both Pythons so we can probably close this bug.

What do you think about it?

Have a nice day.

$ rpm -qp --requires ~/rpmbuild/RPMS/python2-praw-3.5.0-1.fc26.noarch.rpm 
/usr/bin/python2
python(abi) = 2.7
python-decorator >= 4.0.9
python-decorator < 4.1
python-requests >= 2.3.0
python-six >= 1.10
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -qp --requires ~/rpmbuild/RPMS/python3-praw-3.5.0-1.fc26.noarch.rpm 
/usr/bin/python3
python(abi) = 3.5
python3-decorator >= 4.0.9
python3-decorator < 4.1
python3-requests >= 2.3.0
python3-six >= 1.10
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

Comment 5 Jan Beran 2016-09-09 06:59:05 UTC
Hi Lumír, I agree to close.


Note You need to log in before you can comment on or make changes to this bug.